%global momorel 5

Summary: Mailing list tool implemented by Ruby
Name: tml
Version: 0.4.2
Release: %{momorel}m
License: Ruby
Group: System Environment/Daemons
%NoSource 0 http://www.tmtm.org/ruby/tml/tml-%{version}.tar.gz 8794be161b89fb79d1710e9ca838c33b
Source1: tml.conf
Patch0: tml-0.4.2-omit-check-and-retry.patch
Patch1: tml-0.4.2-local-configurations.patch

URL: http://www.tmtm.org/ruby/tml/
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-%{version}-root/
BuildPreReq: ruby
Requires: ruby
PreReq: shadow-utils ruby

%description
tml is a mailing list tool implemented by Ruby.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cat <<-EOF | ruby setup.rb
%{_bindir}/ruby
%{_datadir}/tml
/var/spool/tml
example.com
EOF
ruby test.rb

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/tml
mkdir -p %{buildroot}/var/spool/tml
ruby -p -i -e 'sub(%r|"/|, "\"%{buildroot}/")' tml.conf
ruby install.rb
ruby -p -i -e 'sub(%r|"%{buildroot}/|, "\"/")' %{buildroot}%{_datadir}/tml/tml.conf

%{__mv} %{buildroot}%{_datadir}/tml/tml.conf %{buildroot}%{_datadir}/tml/tml.conf.default
%{__install} -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/tml/tml.conf
pushd %{buildroot}%{_datadir}/tml/templates
  for f in *; do
    cp -a ${f} ${f}.default
  done
popd

%{__rm} -f %{buildroot}/var/spool/tml/etc/aliases
%{__rm} -f %{buildroot}/var/spool/tml/etc/lock



%clean
rm -rf %{buildroot}

%pre
/usr/sbin/userdel tml 
/usr/sbin/groupadd -r tml 
/usr/sbin/useradd -r -g tml -d /usr/share/tml tml
exit 0 

%post
HOSTNAME=`hostname -d`
ruby -p -i -e "sub(%r|domain\s*=.*|, 'domain = \"$HOSTNAME\"')" %{_datadir}/tml/tml.conf

%postun
if [ $1 = 0 ]; then
  /usr/sbin/userdel  tml >/dev/null 2>&1 || :
  /usr/sbin/groupdel tml >/dev/null 2>&1 || :
fi

%files 
%defattr(-,root,root)
%doc README.html tommy.css
%defattr(-,tml,tml)
/var/spool/tml
%dir %{_datadir}/tml
%{_datadir}/tml/tml
%{_datadir}/tml/tmladmin
%{_datadir}/tml/tmlctl
%{_datadir}/tml/tml.rb
%{_datadir}/tml/mail.rb
%dir %{_datadir}/tml/templates
%config(noreplace) %{_datadir}/tml/templates/admin
%config(noreplace) %{_datadir}/tml/templates/archive
%config(noreplace) %{_datadir}/tml/templates/confirm
%config(noreplace) %{_datadir}/tml/templates/memberlist
%config(noreplace) %{_datadir}/tml/templates/summary
%config(noreplace) %{_datadir}/tml/templates/unsubscribe
%config(noreplace) %{_datadir}/tml/templates/welcome
%{_datadir}/tml/templates/*.default
%{_datadir}/tml/tml.conf.default
%config(noreplace) %{_datadir}/tml/tml.conf

%changelog
* Tue Apr 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.4.2-5m)
- delete some files from package

* Tue Apr 20 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (0.4.2-4m)
- introduced default configuration file
- removed retries and extra questions from setup.rb
- moved commands to %%{_sbindir}
- %%config(noreplace) templates

* Wed Apr  7 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.2-3m)
- add BuildPreReq:, PreReq: and Requires: ruby.

* Sun Mar 21 2004 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.4.2-2m)
- change docdir %%defattr

* Sat Jan 24 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.2-1m)

* Sat Jan 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.4.1-1m)
- initial import to Momonga
